MCP Multi-Agent Coordinate
POST
/mcp/multi-agent-coordinate
curl -X POST https://api.astroway.info/v1/mcp/multi-agent-coordinate \ -H "X-Api-Key: aw_live_..." \ -H "Content-Type: application/json" \ -d '{ "question": "What does my Saturn placement mean for my career?", "agents": [ "classical", "modern" ] }'const res = await fetch('https://api.astroway.info/v1/mcp/multi-agent-coordinate', { method: 'POST', headers: { 'X-Api-Key': process.env.ASTROWAY_API_KEY, 'Content-Type': 'application/json', }, body: JSON.stringify({ "question": "What does my Saturn placement mean for my career?", "agents": [ "classical", "modern" ] }),});const { ok, data, error } = await res.json();if (!ok) throw new Error(error.message);console.log(data);import os, requests
r = requests.post( 'https://api.astroway.info/v1/mcp/multi-agent-coordinate', headers={'X-Api-Key': os.environ['ASTROWAY_API_KEY'], 'Content-Type': 'application/json'}, json={ 'question': "What does my Saturn placement mean for my career?", 'agents': [ "classical", "modern" ] },)result = r.json()if not result['ok']: raise RuntimeError(result['error']['message'])print(result['data'])<?phpuse GuzzleHttp\Client;
$client = new Client(['base_uri' => 'https://api.astroway.info/v1/']);$r = $client->post('mcp/multi-agent-coordinate', [ 'headers' => ['X-Api-Key' => getenv('ASTROWAY_API_KEY')], 'json' => [ 'question' => 'What does my Saturn placement mean for my career?', 'agents' => ['classical', 'modern'], ],]);$result = json_decode($r->getBody(), true);if (!$result['ok']) throw new \RuntimeException($result['error']['message']);print_r($result['data']);Run N personas in parallel + LLM synthesis.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
question required
string
agents required
Array<string>
chart
Birth data for a single natal chart. Required: date (YYYY-MM-DD), time (HH:mm:ss). Defaults to lat/lon/tz=0 if omitted; pass real values for accurate computation.
object
date required
string
time required
string
timezoneOffset
number
latitude
number
longitude
number
houseSystem
string
name
string
city
string
zodiacType
string
ayanamsaId
number
cosmogram
boolean
key additional
language
string
Example
{ "question": "What does my Saturn placement mean for my career?", "agents": [ "classical", "modern" ]}Responses
Section titled “ Responses ”Successful calculation
Media type application/json
object
ok
boolean
data
object
individual
Array
synthesis
string
Example
{ "ok": true}Validation error
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }} Корисно?
Дякуємо за фідбек.